//Namespace for bio functions
var bioGrid = {};

// Close Cast Overlay
bioGrid.hideOverlay = function () {
    $ (".overlay-close").click (function (e) {
        e.preventDefault ();
        $ ("html").removeClass ("overlay-open");
        $ (".overlay").removeClass ("open");
    });
};

$(document).ready(function() { "use strict";
  //Bios
  $('#cast-bios').load('./cast.html?v=5',function(){
    $('#creative-bios').load('./creative.html',function(){
      setTimeout(loadOverlays,200);
      setTimeout(overlayClick,300);
    });
  });

  bioGrid.hideOverlay();

  $(document).on( "click",".creative-link", function(e) {
    e.preventDefault();
    if($(this).hasClass('active')) {
    } else {
      $(this).addClass('active');
      $('#cast-block').hide();
      $('.cast-link').removeClass('active');
      $('#creative-block').fadeIn();
      $('#creative-block').css({
        'opacity':'1',
        'height':'auto',
        'visibility':'visible',
        'display': 'block'
      });
    }
  });

  $(document).on( "click", ".cast-link", function(e) {
    e.preventDefault();
    if($(this).hasClass('active')) {
    } else {
      $(this).addClass('active');
      $('.creative-link').removeClass('active');
      $('#creative-block').hide();
      $('#cast-block').fadeIn();
    }
  });

  //Overlay content
  var castOverlay = [];
  function loadOverlays() {
    $('.team-member').each(function(index){
      $(this).addClass("actor-" + (index+1));
      var cloneBio = $(this).clone();
      castOverlay.push(cloneBio);
    });
  }

  function overlayClick() {
    $(document).on('click','.team-member',function () {
       var bioClasses = $(this).attr('class');
       var characters = bioClasses.length;
       var loc;
       if (characters == 30) {
         loc = (bioClasses.slice(-1) - 1);
       } else if (characters == 31) {
         loc = (bioClasses.slice(-2) - 1);
       }
       var bioContent = castOverlay[loc];
       populateOverlay(bioContent,loc);
       bioNav(loc);

       if($('#creative-team')) {
         gtag('event', 'bio click', { 'event_category': 'Creative Bio' });
       } else {
         gtag('event', 'bio click', { 'event_category': 'Cast Bio' });
       }
     });


  }

  function populateOverlay(bio,locNum) {
    //add overlay
    $("#overlay-inner").fadeOut(10, function() {
      $(this).html(castOverlay[locNum]).fadeIn(500);
    });
    $("html").addClass ("overlay-open");
    $(".overlay").addClass("open").focus();
    //console.log(locNum);
    if(locNum === 0) {
      $('.overlay-prev').hide();
    } else if (locNum === 79) {
      $('.overlay-next').hide();
    } else {
      $('.overlay-next').show();
      $('.overlay-prev').show();
    }

  }

  //Next/Previous navigation
  function bioNav(bioNum) {
    console.log(bioNum);
    $(".overlay-next").click(function(e) {
      e.preventDefault();
      $(".overlay-prev").show();
      console.log(bioNum);
      if (bioNum == 78) {
        $(this).hide();
      } else {
        $(this).show();
      }
      bioNum = bioNum + 1;
      $("#overlay-inner").fadeOut(300, function() {
        $(this).html(castOverlay[bioNum]).fadeIn(500);
      });
    });

    $(".overlay-prev").click(function(e) {
      e.preventDefault();
      $(".overlay-next").show();
      if (bioNum == 1) {
        $(this).hide();
      }
      else {
        $(this).show();
      }
      bioNum = bioNum - 1;
      $("#overlay-inner").fadeOut(300, function() {
        $(this).html(castOverlay[bioNum]).fadeIn(500);
      });
    });
  }


});
