/**
 * core.js - all global scripts belong in this file.
 */

// NAMESPACE FOR COMMON FUNCTIONS/OBJECTS
var COMMONUTILS = {
    //
    pageWidth : function () {"use strict";
        return document.documentElement.clientWidth;
    },

    // OBJ TO HOLD USERS CURRENT WEBPAGE LOCATION
    currentPage : window.location.pathname.substring (window.location.pathname.lastIndexOf ('/') + 1),

    // FUNCTION TO EXECUTE CODE BASED ON LOCATION
    userLocation : function (pagename) {"use strict";
        var page = pagename;
        $ ('#nav a').removeClass ('active');
        switch(page) {
            case 'index':
                $('#nav-home').addClass('active');
                $("#nav-about").click(function(e) {
                    e.preventDefault();
                    var aid = "#about";
                    $('html,body').animate({scrollTop: (($(aid).offset().top) - 150)},'slow');
                    $('#nav-home').removeClass('active')
                    $('#nav-about').addClass('active');
                    console.log(click);
                });
                break;
            case '#about':
                $('#nav-about').addClass('active');
                break;
            case 'cast':
                $('#nav-cast').addClass('active');
                break;
            case 'news':
                $('#nav-news').addClass('active');
                break;
            case 'reviews':
                $('#nav-reviews').addClass('active');
                break;
            case 'tickets':
                $('#nav-tickets').addClass('active');
                break;
            case 'media':
                $('#nav-media').addClass('active');
                break;
            case 'tour':
                $('#nav-tour').addClass('active');
                break;
            case 'privacy':
                $('#nav a').removeClass('active');
                break;
            case 'gdpr':
                $('#nav a').removeClass('active');
                break;
            case 'cookies':
                $('#nav a').removeClass('active');
                break;
            default:
                // No Case
                $ ('#nav-home').addClass('active');
                $("#nav-about").click(function(e) {
                    e.preventDefault();
                    var aid = "#about";
                    $('html,body').animate({scrollTop: (($(aid).offset().top) - 150)},'slow');
                    $('#nav-home').removeClass('active')
                    $('#nav-about').addClass('active');
                    console.log(click);
                });
        }
    },

    optinFormValidate: function() {
    	"use strict";

      var formName = "";

      $("#subscribe").each(function(i){

      	//console.log(i);
      	formName = "optin"+i;
      	$(this).attr("id",formName);

          //
          $(this).validate({
            rules : {
              email : { required : true, email : true }/*,
              zip : 'required'*/
            },
            messages : {
              email : 'Enter a valid email'/*,
              zip : 'Enter your zip code'*/
            },
            errorPlacement : function(error, element) {
              element.attr('placeholder', error[0].outerText);
            },
            submitHandler : function(form) {
              $.ajax({
                url : './_inc/optin_action.php',
                type : 'POST',
                data : $(form).serialize() + '&ajax=true',
                success : function() {
                  $(form).hide();
                  $(form).parent("div").append('<h3 class="text-center form-thanks">THANK YOU FOR SIGNING UP.</h3>');
                }
              });
              return false;
            }
          });

      });
    },

    nav: function() {
    	"use strict";

    	$(document).on("click","#btn-menu",function(e){
      	e.preventDefault();
      	if( $("#nav").hasClass("open") ){
      	  $("html").removeClass("menu-open");
        	$("#nav, #btn-menu").removeClass("open");
        	$("#btn-menu").removeClass("fa-times-thin").addClass("fa-bars");
        } else {
      	  $("html").addClass("menu-open");
        	$("#nav, #btn-menu").addClass("open");
        	$("#btn-menu").addClass("fa-times-thin").removeClass("fa-bars");
      	}
    	});

      $(document).on("click", ".menu-open body a", function(e) {
    	  $("html").removeClass("menu-open");
        $("#nav, #btn-menu").removeClass("open");
        $("#btn-menu").removeClass("fa-times-thin").addClass("fa-bars");
      });

    }
};


// $ Namespace
$ (document).ready (function () {"use strict";
    $("html").addClass("page-loaded");

    COMMONUTILS.userLocation(COMMONUTILS.currentPage);
    COMMONUTILS.optinFormValidate();
    COMMONUTILS.nav();

    //Quotes
    //$('#quotes.close-quotes').quote_rotator();
    //$('#closing-rotate').quote_rotator();

    //Form MODAL
    $(".form-open").on("click", function(e){
      e.preventDefault();
      console.log('click');
      $("#form-modal, .form-content, .form-overlay").addClass("active");
      $("html").addClass("modal-active");
    });

    $(".form-close, .popup").on("click", function(e){
      e.preventDefault();
      $("#form-modal, .form-content, .form-overlay").removeClass("active");
      $("html").removeClass("modal-active");
    });

    //Nav background on scroll
    $(function () {
      $(document).scroll(function () {
        var $nav = $("#header");
        $nav.toggleClass('scrolled', $(this).scrollTop() > $nav.height());
      });
    });

    $(window).on('scroll touchmove', function () {
      $('#header').toggleClass('scrolled', $(document).scrollTop() > 0);
    }).scroll();


    // VIDEO LINK
  	$(".video-link").click(function(e){
  			e.preventDefault();
  			var vCode = $(this).attr("data-code");
  			var vText = "<iframe width=\"100%\" height=\"100%\" src=\"https://www.youtube.com/embed/"+vCode+"?autoplay=1\" frameborder=\"0\" allowfullscreen></iframe>";
  			$(".video-container").html(vText);
  			$("#video-modal").fadeIn();
  			$("html,body").addClass("modal-open video-open");
  			console.log('yo');
  	});

  	$("#video-modal .modal-close, #video-modal .modal-body").click(function(e){
  		e.preventDefault();
  		$(".video-container").html("");
  		$("html,body").removeClass("modal-open video-open");
  	});

    /*function artHeightFix() {
      var winWidth = $( window ).width();
      if (winWidth <= 767) {
        var artHeight = $('.fadein.visible-xs img').height();
        $('.fadein').height(artHeight);
      } else {
        var artHeight = $('.fadein.hidden-xs img').height();
        $('.fadein').height(artHeight);
      }
    }

    artHeightFix();

    $(window).on('resize', function(){
        artHeightFix();
    });*/

  /*  function artSlidesHeight() {
      var slidesHeight = $('.art-col1 img').height();
      $('.art-col1, .art-col2, .art-col3, #keyart').height(slidesHeight);
    }

    artSlidesHeight();

    $(window).on('resize', function(){
        artSlidesHeight();
    });

    function mobileSlidesHeight() {
      var mobileHeight = $('#keyart-mobile .img1').height();
      $('#keyart-mobile').height(mobileHeight);
    }

    mobileSlidesHeight();

    $(window).on('resize', function(){
        mobileSlidesHeight();
    });

    setInterval(function(){
        var container1 = document.getElementById('col1');
        var tmp = container1.innerHTML;
        container1.innerHTML= tmp;
        var container2 = document.getElementById('col2');
        var tmp = container2.innerHTML;
        container2.innerHTML= tmp;
        var container3 = document.getElementById('col3');
        var tmp = container3.innerHTML;
        container3.innerHTML= tmp;
      }, 20500 // length of the whole show in milliseconds
    );

    setInterval(function(){
        var container4 = document.getElementById('keyart-mobile');
        var tmp = container4.innerHTML;
        container4.innerHTML= tmp;
      }, 10000 // length of the whole show in milliseconds
    );*/


    /*function mobileRemove() {
      $('.hidden-xs').each(function() {
        $(this).remove();
      });
    }

    if ($(window).width() < 750) {
      setTimeout(mobileRemove, 250);
    }
    */



    function pageHash () {
      var hash = window.location.hash;
      if (hash === "#about") {
        var aid = "#about";
        $('html,body').animate({scrollTop: (($(aid).offset().top) - 150)},'slow');
        $('#nav-home').removeClass('active')
        $('#nav-about').addClass('active');
      }
    }

    pageHash();

    $('.modal-close').click(function(e) {
        e.preventDefault();
        $('#popup-blue').hide();
    });




});

// EOF
